Bug 1082543 - [abrt] rhythmbox: gtk_menu_tracker_model_changed(): rhythmbox killed by SIGSEGV
Summary: [abrt] rhythmbox: gtk_menu_tracker_model_changed(): rhythmbox killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b6358b25a78fa79bd04ce6e757c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-31 09:49 UTC by Laszlo Pal
Modified: 2014-04-15 15:53 UTC (History)
3 users (show)

Fixed In Version: rhythmbox-3.0.2-1.fc20.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-15 15:53:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.35 KB, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: core_backtrace (22.27 KB, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: dso_list (21.41 KB, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: environ (1.52 KB, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: maps (96.66 KB, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: open_fds (1.35 KB, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
File: var_log_messages (12.35 KB, text/plain)
2014-03-31 09:49 UTC, Laszlo Pal
no flags Details
Patch to reverse offending commit (11.30 KB, patch)
2014-04-01 15:28 UTC, Phil Wyett
no flags Details | Diff
Bug reported reproduced in rawhide (1.34 MB, video/webm)
2014-04-03 18:14 UTC, Phil Wyett
no flags Details

Description Laszlo Pal 2014-03-31 09:49:04 UTC
Description of problem:
accessing apple ipod. it was ok earlier

Version-Release number of selected component:
rhythmbox-3.0.2-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: gtk_menu_tracker_model_changed
executable:     /usr/bin/rhythmbox
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_menu_tracker_model_changed at gtkmenutracker.c:339
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:522
 #3 g_cclosure_marshal_generic at gclosure.c:1454
 #12 gtk_tree_model_row_inserted at gtktreemodel.c:1820
 #13 gtk_tree_store_insert_with_values at gtktreestore.c:1563
 #14 rb_display_page_model_add_page at rb-display-page-model.c:678
 #15 rb_shell_append_display_page at rb-shell.c:2134
 #16 add_rb_playlist at rb-ipod-source.c:731
 #17 load_ipod_playlists at rb-ipod-source.c:755

Comment 1 Laszlo Pal 2014-03-31 09:49:09 UTC
Created attachment 880640 [details]
File: backtrace

Comment 2 Laszlo Pal 2014-03-31 09:49:11 UTC
Created attachment 880641 [details]
File: cgroup

Comment 3 Laszlo Pal 2014-03-31 09:49:13 UTC
Created attachment 880642 [details]
File: core_backtrace

Comment 4 Laszlo Pal 2014-03-31 09:49:15 UTC
Created attachment 880643 [details]
File: dso_list

Comment 5 Laszlo Pal 2014-03-31 09:49:17 UTC
Created attachment 880644 [details]
File: environ

Comment 6 Laszlo Pal 2014-03-31 09:49:19 UTC
Created attachment 880645 [details]
File: exploitable

Comment 7 Laszlo Pal 2014-03-31 09:49:20 UTC
Created attachment 880646 [details]
File: limits

Comment 8 Laszlo Pal 2014-03-31 09:49:22 UTC
Created attachment 880647 [details]
File: maps

Comment 9 Laszlo Pal 2014-03-31 09:49:24 UTC
Created attachment 880648 [details]
File: open_fds

Comment 10 Laszlo Pal 2014-03-31 09:49:26 UTC
Created attachment 880649 [details]
File: proc_pid_status

Comment 11 Laszlo Pal 2014-03-31 09:49:28 UTC
Created attachment 880650 [details]
File: var_log_messages

Comment 12 Phil Wyett 2014-03-31 17:37:58 UTC
Another user experienced a similar problem:

At startup of app

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: gtk_menu_tracker_model_changed
executable:     /usr/bin/rhythmbox
kernel:         3.13.7-200.fc20.x86_64
package:        rhythmbox-3.0.2-1.fc20
reason:         rhythmbox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Phil Wyett 2014-04-01 14:03:40 UTC
This isue is caused by commit:

  https://git.gnome.org/browse/rhythmbox/commit/?id=2b7b0535bc638c109d88fe3bbaa5cfeed4a459dc

Rebuilt without this commit and 3.0.2. is fine.

Further investigation needed.

Comment 14 Phil Wyett 2014-04-01 14:11:39 UTC
Filed upstream:

  https://bugzilla.gnome.org/show_bug.cgi?id=727437

Comment 15 Phil Wyett 2014-04-01 15:28:51 UTC
Created attachment 881391 [details]
Patch to reverse offending commit

Patch to reverse offending commit mentioned in comment 13

Comment 16 Kalev Lember 2014-04-02 15:30:34 UTC
Any idea if this crash is F20 only or affects rawhide / GNOME 3.12 copr as well?

Comment 17 Phil Wyett 2014-04-02 17:24:07 UTC
Does not affect rawhide as of 2014-04-01 that I can see.

Comment 18 Kalev Lember 2014-04-02 18:19:44 UTC
If it's not crashing with gtk+ 3.12 in rawhide, I guess it's something that's been fixed during the 3.12 cycle. The crash is in gtk+ code anyway, it's just rhythmbox triggering it somehow.

Would be nice to track down what gtk+ change fixed the crash and fix the F20 gtk3, but I don't think I can help with that since I can't reproduce the crasher here.

Reverting rhythmbox commit 2b7b0535bc638c109d88fe3bbaa5cfeed4a459dc seems like a reasonable workaround for F20 for now. I'll kick off a build with that right away.

Comment 19 Fedora Update System 2014-04-02 19:14:51 UTC
rhythmbox-3.0.2-1.fc20.1 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rhythmbox-3.0.2-1.fc20.1

Comment 20 Phil Wyett 2014-04-03 18:14:36 UTC
Created attachment 882396 [details]
Bug reported reproduced in rawhide

This video gives an example case of how to reproduce this bug from a clean rawhide install with rhythmbox never executed prior to the test, so clean default config.

Comment 21 Fedora Update System 2014-04-04 09:41:36 UTC
Package rhythmbox-3.0.2-1.fc20.1:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rhythmbox-3.0.2-1.fc20.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4750/rhythmbox-3.0.2-1.fc20.1
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2014-04-15 15:53:53 UTC
rhythmbox-3.0.2-1.fc20.1 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.